The items behind one Shop Performance Score metric
GET
/api/public/v1/tik_tok_shop/shop_health/metrics/{metricCode}/top_itemsConnectorAnswers empty results in the documented shape until the brand switches on this connection.
Operation id listTikTokShopHealthTopItems
Request
curl
curl "https://creator.growthdept.ai/api/public/v1/tik_tok_shop/shop_health/metrics/<metricCode>/top_items" \
-H "Authorization: Bearer gdc_..."Parameters
| Name | In | Type | Notes |
|---|---|---|---|
| metricCode | path | string | required |
| locale | query | string | |
| organization_id | query | integer |
Responses
200Success
| Field | Type | Notes |
|---|---|---|
| itemType | string | requiredOne of productslogistics_providersaftersales_typesunknown |
| items | array of object | required |
| metricCode | string | required |
| totalCount | integer, nullable |
Example
{
"itemType": "products",
"items": [
{}
],
"metricCode": "MAYA15",
"totalCount": 3
}Errors: 400401403404422429502with an error and usually a message. See errors.
Example values are made up from each field's type and name.